Package org.kapott.hbci.sepa.jaxb.pain_001_001_03

# Class PersonIdentificationSEPA1Choice

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_001_001_03.PersonIdentificationSEPA1Choice

public class PersonIdentificationSEPA1Choice extends Object

Java class for PersonIdentificationSEPA1Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PersonIdentificationSEPA1Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="DtAndPlcOfBirth" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.03}DateAndPlaceOfBirth"/>
               <element name="Othr" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.03}GenericPersonIdentification1"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected DateAndPlaceOfBirth`
`dtAndPlcOfBirth`
`protected GenericPersonIdentification1`
`othr`

## Constructor Summary

Constructors
Constructor
Description
`PersonIdentificationSEPA1Choice()`

## Method Summary

Modifier and Type
Method
Description
`DateAndPlaceOfBirth`
`getDtAndPlcOfBirth()`
Gets the value of the dtAndPlcOfBirth property.
`GenericPersonIdentification1`
`getOthr()`
Gets the value of the othr property.
`void`
`setDtAndPlcOfBirth(DateAndPlaceOfBirth value)`
Sets the value of the dtAndPlcOfBirth property.
`void`
`setOthr(GenericPersonIdentification1 value)`
Sets the value of the othr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### dtAndPlcOfBirth

protected DateAndPlaceOfBirth dtAndPlcOfBirth

### othr

protected GenericPersonIdentification1 othr

## Constructor Details

### PersonIdentificationSEPA1Choice

public PersonIdentificationSEPA1Choice()

## Method Details

### getDtAndPlcOfBirth

public DateAndPlaceOfBirth getDtAndPlcOfBirth()
Gets the value of the dtAndPlcOfBirth property.

Returns:
  possible object is `DateAndPlaceOfBirth`

### setDtAndPlcOfBirth

public void setDtAndPlcOfBirth(DateAndPlaceOfBirth value)
Sets the value of the dtAndPlcOfBirth property.

Parameters:
  `value` - allowed object is `DateAndPlaceOfBirth`

### getOthr

public GenericPersonIdentification1 getOthr()
Gets the value of the othr property.

Returns:
  possible object is `GenericPersonIdentification1`

### setOthr

public void setOthr(GenericPersonIdentification1 value)
Sets the value of the othr property.

Parameters:
  `value` - allowed object is `GenericPersonIdentification1`